HowTo Delete Occurence FaceStyle

Changing the FaceStyle with

 

        Dim seOCC As SolidEdgeAssembly.Occurrence

        Dim seFaceStyle As SolidEdgeFramework.FaceStyle

        seFaceStyle = seASM.FaceStyles("Blue")

        For Each seOCC In seASM.Occurrences

            seOCC.FaceStyle = seFaceStyle

        Next

 

works. But HowTo delete (set to "(None)") the FaceStyle?

 

Jürgen

 

 

Posted by: Jürgen Niesner
Post date: 3/7/2011 1:09:55 AM

3 REPLIES

RE: HowTo Delete Occurence FaceStyle

Well, this is a quick, blind shot...

Have you tried this?

 

seOccFaceStyle = Nothing

 

Regards,

Julian

 

Posted by: Julian Guillo
Post date: 3/8/2011 10:20:42 AM

RE: HowTo Delete Occurence FaceStyle

 

FaceStyle = nothing does not work, it ends with an COM-Exception

 

 

 

When I read the FaceStyle from an Occurence without an FaceStyle (DropDownlist in the GUI says (none) ) I get nothing.

 

It seems that reading nothing work but setting nothing is not allowed....

 

 

Jürgen 

 

Posted by: Jürgen Niesner
Post date: 3/25/2011 12:03:30 AM

RE: HowTo Delete Occurence FaceStyle

You should use the Style property and set it to an empty string!!

 

Posted by: Martin Bernhard
Post date: 3/25/2011 4:48:58 AM